body {
    margin: 0 auto;
    padding: 0;
    font-family: "Geist Pixel", sans-serif;
    background-color: #0b072d;
    background-image: url("https://file.garden/all7Jvuwel6JOPps/gifs/61a4a9dc409fcf1e641bcb24a3c158d5.gif");
    max-width: 1000px; 
}

* {
    box-sizing: border-box;
}

body a {
    color: #ea1dcf;
    font-weight: bold;
    text-decoration: dashed underline;
}


.headerBanner {
    background-image: url("https://i.pinimg.com/736x/3c/04/a0/3c04a013ef175781af1cb48f481de191.jpg");
    background-size: cover;
    background-position: bottom center;
    height: 130px;
    width: 100%;
    margin-bottom: 0;
    }

.navbar {
    height: 43px;
    background: #0B072D;
    background: linear-gradient(180deg, rgba(11, 7, 45, 1) 50%, rgba(41, 0, 112, 0.65) 100%);
    width: 100%;
    font-size: 18px;
    overflow-y: auto;
    overflow-x: hidden;
}

.navbar ul{ 
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
    justify-content: space-evenly;

}

.navbar li {
    padding-top: 10px;
}

.navbar li a {
    color: #ea1dcf;
    font-weight: 800;
    text-decoration: none;
}

.navbar li a:hover {
    color: #0b072d;
}


#flex {
    display: flex;
}


aside {
    background:  #3A1FD6;
    background: linear-gradient(193deg, rgba(58, 31, 214, 1) 0%, rgba(129, 17, 209, 1) 100%);
    width: 190px;
    padding: 20px;
    font-size: smaller;
    color: white;
}

aside p {
    font-size: 14px;
}

.box {
    background: #0B072D;
    background: linear-gradient(180deg, rgba(11, 7, 45, 1) 50%, rgba(41, 0, 112, 0.65) 100%);
    border: 2px dashed #9a16ff;
    padding: 10px;
    margin: 20px auto;
    height: 180px;
    display: block;
    overflow: scroll;
    overflow-x: hidden;
}

.box p {
    font-size: 14px;
}

.dashed-border {
    border: 2px dashed #9a16ff;
    margin: 15px;
    padding: 15px;
}

main .dashed-border {
    background:  #2D0C72;
    background: linear-gradient(180deg, rgba(45, 12, 114, 1) 0%, rgba(84, 0, 181, 0.6) 100%);
}

.dashed-border h3, .dashed-border h4 {
    margin-bottom: 0;
}

.dashed-border ul {
    margin-top: 0;
}


main {
    background-color: #2d0c72;
    background: radial-gradient();
    flex: 1;
    padding: 20px;  
    order: 2;
    overflow-x: hidden;
}

section, article {
    color: white;
}

.pageDesc{
    font-size: 16px;
    color: #9a16ff;
    margin: 0;
}

#leftSidebar {
    order: 1;
    margin-right: 0;
}

#rightSidebar {
    order: 3;
    margin-left: 0;
}


h1 {
    margin: 10px 0;
}

h2 {
    margin: 10px 0;
}

h3 {
    margin: 10px 0;
}

h4 {
    margin: 10px 0;
}

p {
    font-size: 18px;
}

strong {
    text-decoration: dashed underline;
    font-weight: bold;
}

img {
    margin: 0 auto;
}

aside img, aside a img {
    width: 100%;
    padding: 5px;
    transition: all 0.5s;
}

.imgGrid {
    margin-top: 10px ;
    overflow-x: show;
    overflow-y: scroll;
}

.imgGrid img {
    width: 96px;
    margin: 5px 0;
    padding-left: 10px;
    vertical-align: top;
    transition: all 0.5s;
}

.gallery a:hover {
    background-color: transparent;
}

.imgGrid img:hover, .imgGrid img:focus, aside img:hover, aside img:focus {
    transform: scale(1.2);
    z-index: 100;
}

.stamp-scroll, .blinky-scroll {
    display: flex;
    overflow: hidden;
    position: relative;
    padding: 5px 0;
}

.buttonGrid img {
    display: inline-block;
    width: 98px;
}

.buttonGrid a:hover, aside a img:hover {
    background-color: transparent;
    filter: brightness(85%) saturate(300%) sepia(100%) hue-rotate(245deg);
}

.stamp-scroll .scroll-track {
    display: flex;
    width: max-content;
    animation: scrollButtons 55s linear infinite;
    gap: 2px;
}

.blinky-scroll .scroll-track {
    display: flex;
    width: max-content;
    animation: scrollButtons 8s linear infinite;
    gap: 2px;
}

.stamp-scroll img {
    width: 115px;
}

.blinky-scroll img {
    width: 250px;
}

@keyframes scrollButtons {
    from {transform: translateX(0)}
    to {transform: translateX(-100%)}
}

.row {
    display: flex;
    flex-wrap: wrap;
    padding: 0 4px;
}

.column {
    flex: 33%;
    max-width: 33%;
    padding: 0 4px;
}

.column img {
    margin-top: 8px;
    vertical-align: middle;
    width: 100%;
}


a {
    color: #ea1dcf;
}

.outlink::after {
    content: "↗";
    font-family: monospace;
}

a:hover {
    color: #0b072d;
    background-color: #ea1dcf;
}

a img {
    display: block;
    width: 80%;
    padding: 5px;
    transition: all 0.5s;
}

a img:hover {
    transform: scale(1.2);
}

::selection {
    color:#0b072d;
    background-color: #ea1dcf;
}

ul.list {
    list-style: none;
    margin-left: 0;
    padding-left: 1.2em;
}

.box ul {
    list-style: none;
    margin-left: 0;
    padding-left: 0;
}

.box strong {
    color: #ea1dcf;
}

.list li::before {
    content: "↳ ";
    display: block;
    float: left;
    width: 1.5em;
}

.box li::before {
    content: "★ ";
    display: block;
    float: left;
    width: 1.5em;
    color: #9a16ff;
}

hr.dashed {
    border-top: 2px dashed lavender;
    border-bottom: none;
    margin: 20px auto;
}


iframe {
    display: block;
    margin: 0 auto
}

textarea {
    font-family: "Geist Pixel", sans-serif;
    width: 70%;
}


footer {
    background: #0B072D;
    background: linear-gradient(180deg, rgba(11, 7, 45, 1) 50%, rgba(41, 0, 112, 0.65) 100%);
    width: 100%;
    height: 40px;
    padding: 10px;
    color: white;
    text-decoration: underline;
    text-align: center;
    margin-top: 0;
    
}

.footertextRight {
    margin-left: 75%;
    text-align: right;
    float: right;
    margin: 0;
}

footer p {
    float: left;
    margin: 0
}


#topBar {
    width: 100%;
    height: 35px;
    padding: 10px;
    background: #0B072D;
    background: linear-gradient(180deg, rgba(11, 7, 45, 1) 50%, rgba(41, 0, 112, 0.65) 100%);
    color: white;
    overflow: hidden;
}

#topBar p{
    font-size: 15px;
}

/*
Source - https://stackoverflow.com/a/56633352
Posted by Mosè Bottacini, modified by community. See post 'Timeline' for change history
Retrieved 2026-07-20, License - CC BY-SA 4.0
*/

.marquee {
    padding: 0;
    font-size: 15px;
    height: 15px;
    margin: 0 auto;
    white-space: nowrap;
    box-sizing: border-box;
    
}

.marquee span {
    display: flex;    
    flex-basis: 100%;
    animation: marquee-reset;
    animation-play-state: paused;
}

.marquee:hover> span {
    animation: marquee 35s linear infinite;
    animation-play-state: running;
}

@keyframes marquee {
    0% {
        transform: translate(0%, 0);
    }    
    50% {
        transform: translate(-270%, 0);
    }
    50.001% {
        transform: translate(270%, 0);
    }
    100% {
        transform: translate(0%, 0);
    }
}

@keyframes marquee-reset {
    0% {
        transform: translate(0%, 0);
    }  
}

@media only screen and (max-width: 800px) {
    #flex {
        flex-wrap: wrap;
    }
    
    aside {
        width: 100%;
    }
    
    main {
        order: 1;
        width: 100%;
    }

    #leftSidebar {
        order: 2;
    }

    #rightSidebar {
        order: 3;
    }
    
    .navbar ul {
        overflow: scroll;
    }
    
    .navbar ul li {
        padding: 10px 10px 10px 10px;
    }

    .gallery.imgGrid.column {
        flex: 50%;
        max-width: 50%;
    }
    
    .carousel {
    max-width: 730px;
    }
    
    aside img:hover {
        transform: scale(1);
    }
    
    .imgGrid img {
        width: 132px;
    }

}